## DMS enumerations and flags DMS enumerations and flags |

## Functions

const gchar * | qmi_dms_data_service_capability_get_string ()
const gchar * | qmi_dms_sim_capability_get_string ()
gchar * | qmi_dms_band_capability_build_string_from_mask ()
gchar * | qmi_dms_lte_band_capability_build_string_from_mask ()
const gchar * | qmi_dms_radio_interface_get_string ()
gchar * | qmi_dms_power_state_build_string_from_mask ()
const gchar * | qmi_dms_uim_pin_id_get_string ()
const gchar * | qmi_dms_uim_pin_status_get_string ()
const gchar * | qmi_dms_operating_mode_get_string ()
gchar * | qmi_dms_offline_reason_build_string_from_mask ()
const gchar * | qmi_dms_time_source_get_string ()
const gchar * | qmi_dms_activation_state_get_string ()
const gchar * | qmi_dms_uim_facility_get_string ()
const gchar * | qmi_dms_uim_facility_state_get_string ()
const gchar * | qmi_dms_uim_state_get_string ()
const gchar * | qmi_dms_time_reference_type_get_string ()
const gchar * | qmi_dms_firmware_image_type_get_string ()

## Types and Values

enum | QmiDmsDataServiceCapability
enum | QmiDmsSimCapability
enum | QmiDmsBandCapability
enum | QmiDmsLteBandCapability
enum | QmiDmsRadioInterface
enum | QmiDmsPowerState
enum | QmiDmsUimPinId
enum | QmiDmsUimPinStatus
enum | QmiDmsOperatingMode
enum | QmiDmsOfflineReason
enum | QmiDmsTimeSource
enum | QmiDmsActivationState
enum | QmiDmsUimFacility
enum | QmiDmsUimFacilityState
enum | QmiDmsUimState
enum | QmiDmsTimeReferenceType
enum | QmiDmsFirmwareImageType

## Object Hierarchy

        GEnum
        ├── QmiDmsActivationState
        ├── QmiDmsDataServiceCapability
        ├── QmiDmsFirmwareImageType
        ├── QmiDmsOperatingMode
        ├── QmiDmsRadioInterface
        ├── QmiDmsSimCapability
        ├── QmiDmsTimeReferenceType
        ├── QmiDmsTimeSource
        ├── QmiDmsUimFacility
        ├── QmiDmsUimFacilityState
        ├── QmiDmsUimPinId
        ├── QmiDmsUimPinStatus
        ╰── QmiDmsUimState
        GFlags
        ├── QmiDmsOfflineReason
        ╰── QmiDmsPowerState

## Description

This section defines enumerations and flags used in the DMS service interface.

## Functions

### qmi_dms_data_service_capability_get_string ()

    const gchar *
    qmi_dms_data_service_capability_get_string
                                   (QmiDmsDataServiceCapability val);

Gets the nickname string for the QmiDmsDataServiceCapability specified at `val` .

#### Parameters

val | a QmiDmsDataServiceCapability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_sim_capability_get_string ()

    const gchar *
    qmi_dms_sim_capability_get_string (QmiDmsSimCapability val);

Gets the nickname string for the QmiDmsSimCapability specified at `val` .

#### Parameters

val | a QmiDmsSimCapability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_band_capability_build_string_from_mask ()

    gchar *
    qmi_dms_band_capability_build_string_from_mask
                                   (QmiDmsBandCapability mask);

Builds a string containing a comma-separated list of nicknames for each QmiDmsBandCapability in `mask` .

#### Parameters

mask | bitmask of QmiDmsBandCapability values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### qmi_dms_lte_band_capability_build_string_from_mask ()

    gchar *
    qmi_dms_lte_band_capability_build_string_from_mask
                                   (QmiDmsLteBandCapability mask);

Builds a string containing a comma-separated list of nicknames for each QmiDmsLteBandCapability in `mask` .

#### Parameters

mask | bitmask of QmiDmsLteBandCapability values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### qmi_dms_radio_interface_get_string ()

    const gchar *
    qmi_dms_radio_interface_get_string (QmiDmsRadioInterface val);

Gets the nickname string for the QmiDmsRadioInterface specified at `val` .

#### Parameters

val | a QmiDmsRadioInterface. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_power_state_build_string_from_mask ()

    gchar *
    qmi_dms_power_state_build_string_from_mask
                                   (QmiDmsPowerState mask);

Builds a string containing a comma-separated list of nicknames for each QmiDmsPowerState in `mask` .

#### Parameters

mask | bitmask of QmiDmsPowerState values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### qmi_dms_uim_pin_id_get_string ()

    const gchar *
    qmi_dms_uim_pin_id_get_string (QmiDmsUimPinId val);

Gets the nickname string for the QmiDmsUimPinId specified at `val` .

#### Parameters

val | a QmiDmsUimPinId. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_uim_pin_status_get_string ()

    const gchar *
    qmi_dms_uim_pin_status_get_string (QmiDmsUimPinStatus val);

Gets the nickname string for the QmiDmsUimPinStatus specified at `val` .

#### Parameters

val | a QmiDmsUimPinStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_operating_mode_get_string ()

    const gchar *
    qmi_dms_operating_mode_get_string (QmiDmsOperatingMode val);

Gets the nickname string for the QmiDmsOperatingMode specified at `val` .

#### Parameters

val | a QmiDmsOperatingMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_offline_reason_build_string_from_mask ()

    gchar *
    qmi_dms_offline_reason_build_string_from_mask
                                   (QmiDmsOfflineReason mask);

Builds a string containing a comma-separated list of nicknames for each QmiDmsOfflineReason in `mask` .

#### Parameters

mask | bitmask of QmiDmsOfflineReason values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### qmi_dms_time_source_get_string ()

    const gchar *
    qmi_dms_time_source_get_string (QmiDmsTimeSource val);

Gets the nickname string for the QmiDmsTimeSource specified at `val` .

#### Parameters

val | a QmiDmsTimeSource. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_activation_state_get_string ()

    const gchar *
    qmi_dms_activation_state_get_string (QmiDmsActivationState val);

Gets the nickname string for the QmiDmsActivationState specified at `val` .

#### Parameters

val | a QmiDmsActivationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_uim_facility_get_string ()

    const gchar *
    qmi_dms_uim_facility_get_string (QmiDmsUimFacility val);

Gets the nickname string for the QmiDmsUimFacility specified at `val` .

#### Parameters

val | a QmiDmsUimFacility. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_uim_facility_state_get_string ()

    const gchar *
    qmi_dms_uim_facility_state_get_string (QmiDmsUimFacilityState val);

Gets the nickname string for the QmiDmsUimFacilityState specified at `val` .

#### Parameters

val | a QmiDmsUimFacilityState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_uim_state_get_string ()

    const gchar *
    qmi_dms_uim_state_get_string (QmiDmsUimState val);

Gets the nickname string for the QmiDmsUimState specified at `val` .

#### Parameters

val | a QmiDmsUimState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_time_reference_type_get_string ()

    const gchar *
    qmi_dms_time_reference_type_get_string
                                   (QmiDmsTimeReferenceType val);

Gets the nickname string for the QmiDmsTimeReferenceType specified at `val` .

#### Parameters

val | a QmiDmsTimeReferenceType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_dms_firmware_image_type_get_string ()

    const gchar *
    qmi_dms_firmware_image_type_get_string
                                   (QmiDmsFirmwareImageType val);

Gets the nickname string for the QmiDmsFirmwareImageType specified at `val` .

#### Parameters

val | a QmiDmsFirmwareImageType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

## Types and Values

### enum QmiDmsDataServiceCapability

Data service capability.

#### Members

QMI_DMS_DATA_SERVICE_CAPABILITY_NONE | No data services supported. |
QMI_DMS_DATA_SERVICE_CAPABILITY_CS | Only CS supported. |
QMI_DMS_DATA_SERVICE_CAPABILITY_PS | Only PS supported. |
QMI_DMS_DATA_SERVICE_CAPABILITY_SIMULTANEOUS_CS_PS | Simultaneous CS and PS supported. |
QMI_DMS_DATA_SERVICE_CAPABILITY_NON_SIMULTANEOUS_CS_PS | Non simultaneous CS and PS supported. |

### enum QmiDmsSimCapability

SIM capability.

#### Members

QMI_DMS_SIM_CAPABILITY_NOT_SUPPORTED | SIM not supported. |
QMI_DMS_SIM_CAPABILITY_SUPPORTED | SIM is supported. |

### enum QmiDmsBandCapability

Frequency band capabilities.

#### Members

QMI_DMS_BAND_CAPABILITY_BC_0_A_SYSTEM | Band class 0, A-system. |
QMI_DMS_BAND_CAPABILITY_BC_0_B_SYSTEM | Band class 0, B-system. |
QMI_DMS_BAND_CAPABILITY_BC_1_ALL_BLOCKS | Band class 1, all blocks. |
QMI_DMS_BAND_CAPABILITY_BC_2 | Band class 2. |
QMI_DMS_BAND_CAPABILITY_BC_3_A_SYSTEM | Band class 3, A-system. |
QMI_DMS_BAND_CAPABILITY_BC_4_ALL_BLOCKS | Band class 4, all blocks. |
QMI_DMS_BAND_CAPABILITY_BC_5_ALL_BLOCKS | Band class 5, all blocks. |
QMI_DMS_BAND_CAPABILITY_GSM_DCS_1800 | GSM DCS band. |
QMI_DMS_BAND_CAPABILITY_GSM_900_EXTENDED | GSM Extended GSM band (900). |
QMI_DMS_BAND_CAPABILITY_GSM_900_PRIMARY | GSM Primary GSM band (900). |
QMI_DMS_BAND_CAPABILITY_BC_6 | Band class 6. |
QMI_DMS_BAND_CAPABILITY_BC_7 | Band class 7. |
QMI_DMS_BAND_CAPABILITY_BC_8 | Band class 8. |
QMI_DMS_BAND_CAPABILITY_BC_9 | Band class 9. |
QMI_DMS_BAND_CAPABILITY_BC_10 | Band class 10. |
QMI_DMS_BAND_CAPABILITY_BC_11 | Band class 11. |
QMI_DMS_BAND_CAPABILITY_GSM_450 | GSM 450 band. |
QMI_DMS_BAND_CAPABILITY_GSM_480 | GSM 480 band. |
QMI_DMS_BAND_CAPABILITY_GSM_750 | GSM 750 band. |
QMI_DMS_BAND_CAPABILITY_GSM_850 | GSM 850 band. |
QMI_DMS_BAND_CAPABILITY_GSM_900_RAILWAYS | GSM railways band (900). |
QMI_DMS_BAND_CAPABILITY_GSM_PCS_1900 | GSM PCS band (1900). |
QMI_DMS_BAND_CAPABILITY_WCDMA_2100 | WCDMA 2100 band (Europe, Japan, China). |
QMI_DMS_BAND_CAPABILITY_WCDMA_PCS_1900 | WCDMA PCS 1900 band (US). |
QMI_DMS_BAND_CAPABILITY_WCDMA_DCS_1800 | WCDMA DCS 1800 band (Europe, China). |
QMI_DMS_BAND_CAPABILITY_WCDMA_1700_US | WCDMA 1700 band (US). |
QMI_DMS_BAND_CAPABILITY_WCDMA_850_US | WCDMA 850 band (US). |
QMI_DMS_BAND_CAPABILITY_WCDMA_800 | QWCDMA 850 band (Japan). |
QMI_DMS_BAND_CAPABILITY_BC_12 | Band class 12. |
QMI_DMS_BAND_CAPABILITY_BC_14 | Band class 14. |
QMI_DMS_BAND_CAPABILITY_BC_15 | Band class 15. |
QMI_DMS_BAND_CAPABILITY_WCDMA_2600 | WCDMA 2600 band (Europe). |
QMI_DMS_BAND_CAPABILITY_WCDMA_900 | WCDMA 900 band (Europe, Japan). |
QMI_DMS_BAND_CAPABILITY_WCDMA_1700_JAPAN | WCDMA 1700 band (Japan). |
QMI_DMS_BAND_CAPABILITY_BC_16 | Band class 16. |
QMI_DMS_BAND_CAPABILITY_BC_17 | Band class 17. |
QMI_DMS_BAND_CAPABILITY_BC_18 | Band class 18. |
QMI_DMS_BAND_CAPABILITY_BC_19 | Band class 19. |
QMI_DMS_BAND_CAPABILITY_WCDMA_850_JAPAN | WCDMA 850 band (Japan) |
QMI_DMS_BAND_CAPABILITY_WCDMA_1500 | WCDMA 1500 band. |

### enum QmiDmsLteBandCapability

LTE-specific Frequency bands.

#### Members

QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_1 | LTE EUTRAN Band 1 |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_2 | LTE EUTRAN Band 2. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_3 | LTE EUTRAN Band 3. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_4 | LTE EUTRAN Band 4. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_5 | LTE EUTRAN Band 5. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_6 | LTE EUTRAN Band 6. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_7 | LTE EUTRAN Band 7. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_8 | LTE EUTRAN Band 8. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_9 | LTE EUTRAN Band 9. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_10 | LTE EUTRAN Band 10. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_11 | LTE EUTRAN Band 11. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_12 | LTE EUTRAN Band 12. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_13 | LTE EUTRAN Band 13. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_14 | LTE EUTRAN Band 14. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_17 | LTE EUTRAN Band 17. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_18 | LTE EUTRAN Band 18. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_19 | LTE EUTRAN Band 19. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_20 | LTE EUTRAN Band 20. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_21 | LTE EUTRAN Band 21. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_24 | LTE EUTRAN Band 24. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_25 | LTE EUTRAN Band 25. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_33 | LTE EUTRAN Band 33. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_34 | LTE EUTRAN Band 34. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_35 | LTE EUTRAN Band 35. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_36 | LTE EUTRAN Band 36. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_37 | LTE EUTRAN Band 37. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_38 | LTE EUTRAN Band 38. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_39 | LTE EUTRAN Band 39. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_40 | LTE EUTRAN Band 40. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_41 | LTE EUTRAN Band 41. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_42 | LTE EUTRAN Band 42. |
QMI_DMS_LTE_BAND_CAPABILITY_EUTRAN_43 | LTE EUTRAN Band 43. |

### enum QmiDmsRadioInterface

Radio interface type.

#### Members

QMI_DMS_RADIO_INTERFACE_CDMA20001X | CDMA2000 1x. |
QMI_DMS_RADIO_INTERFACE_EVDO | CDMA2000 HRPD (1xEV-DO) |
QMI_DMS_RADIO_INTERFACE_GSM | GSM. |
QMI_DMS_RADIO_INTERFACE_UMTS | UMTS. |
QMI_DMS_RADIO_INTERFACE_LTE | LTE. |

### enum QmiDmsPowerState

Flags specifying the current power state.

If `QMI_DMS_POWER_STATE_EXTERNAL_SOURCE` is set, the device is powerered by an external source; otherwise it is powered by a battery.

If `QMI_DMS_POWER_STATE_BATTERY_CONNECTED` is set, the battery is connected; otherwise the battery is not connected.

If `QMI_DMS_POWER_STATE_BATTERY_CHARGING` is set, the battery is being charged; otherwise the battery is not being charged.

If `QMI_DMS_POWER_STATE_FAULT` is set, a power fault has been detected.

#### Members

QMI_DMS_POWER_STATE_EXTERNAL_SOURCE | Powered by an external source. |
QMI_DMS_POWER_STATE_BATTERY_CONNECTED | Battery is connected. |
QMI_DMS_POWER_STATE_BATTERY_CHARGING | Battery is currently being charged. |
QMI_DMS_POWER_STATE_FAULT | Recognized power fault. |

### enum QmiDmsUimPinId

The PIN identifier.

#### Members

QMI_DMS_UIM_PIN_ID_PIN | PIN. |
QMI_DMS_UIM_PIN_ID_PIN2 | PIN2. |

### enum QmiDmsUimPinStatus

The PIN status.

#### Members

QMI_DMS_UIM_PIN_STATUS_NOT_INITIALIZED | Not initialized. |
QMI_DMS_UIM_PIN_STATUS_ENABLED_NOT_VERIFIED | Enabled, not verified. |
QMI_DMS_UIM_PIN_STATUS_ENABLED_VERIFIED | Enabled, verified. |
QMI_DMS_UIM_PIN_STATUS_DISABLED | Disabled. |
QMI_DMS_UIM_PIN_STATUS_BLOCKED | Blocked. |
QMI_DMS_UIM_PIN_STATUS_PERMANENTLY_BLOCKED | Permanently Blocked. |
QMI_DMS_UIM_PIN_STATUS_UNBLOCKED | Unblocked. |
QMI_DMS_UIM_PIN_STATUS_CHANGED | Changed. |

### enum QmiDmsOperatingMode

Operating mode of the device.

#### Members

QMI_DMS_OPERATING_MODE_ONLINE | Device can acquire a system and make calls. |
QMI_DMS_OPERATING_MODE_LOW_POWER | Device has temporarily disabled RF. |
QMI_DMS_OPERATING_MODE_FACTORY_TEST | Special mode for manufacturer tests. |
QMI_DMS_OPERATING_MODE_OFFLINE | Device has deactivated RF and is partially shutdown. |
QMI_DMS_OPERATING_MODE_RESET | Device is in the process of power cycling. |
QMI_DMS_OPERATING_MODE_SHUTTING_DOWN | Device is in the process of shutting down. |
QMI_DMS_OPERATING_MODE_PERSISTENT_LOW_POWER | Device has disabled RF and state persists even after a reset. |
QMI_DMS_OPERATING_MODE_MODE_ONLY_LOW_POWER | Mode-only Low Power. |
QMI_DMS_OPERATING_MODE_UNKNOWN | Unknown. |

### enum QmiDmsOfflineReason

Reasons for being in Offline (`QMI_DMS_OPERATING_MODE_OFFLINE` ) state.

#### Members

QMI_DMS_OFFLINE_REASON_HOST_IMAGE_MISCONFIGURATION | Host image misconfiguration. |
QMI_DMS_OFFLINE_REASON_PRI_IMAGE_MISCONFIGURATION | PRI image misconfiguration. |
QMI_DMS_OFFLINE_REASON_PRI_VERSION_INCOMPATIBLE | PRI version incompatible. |
QMI_DMS_OFFLINE_REASON_DEVICE_MEMORY_FULL | Memory full, cannot copy PRI information. |

### enum QmiDmsTimeSource

Source of the timestamp.

#### Members

QMI_DMS_TIME_SOURCE_DEVICE | 32 kHz device clock. |
QMI_DMS_TIME_SOURCE_CDMA_NETWORK | CDMA network. |
QMI_DMS_TIME_SOURCE_HDR_NETWORK | HDR network. |

### enum QmiDmsActivationState

State of the service activation.

#### Members

QMI_DMS_ACTIVATION_STATE_NOT_ACTIVATED | Service not activated. |
QMI_DMS_ACTIVATION_STATE_ACTIVATED | Service is activated. |
QMI_DMS_ACTIVATION_STATE_CONNECTING | Connection in progress for automatic activation. |
QMI_DMS_ACTIVATION_STATE_CONNECTED | Connection connected for automatic activation. |
QMI_DMS_ACTIVATION_STATE_OTASP_AUTHENTICATED | OTASP security authenticated. |
QMI_DMS_ACTIVATION_STATE_OTASP_NAM | OTASP NAM downloaded. |
QMI_DMS_ACTIVATION_STATE_OTASP_MDN | OTASP MDN downloaded. |
QMI_DMS_ACTIVATION_STATE_OTASP_IMSI | OTASP IMSI downloaded. |
QMI_DMS_ACTIVATION_STATE_OTASP_PRL | OTASP PRL downloaded. |
QMI_DMS_ACTIVATION_STATE_OTASP_SPC | OTASP SPC downloaded. |
QMI_DMS_ACTIVATION_STATE_OTASP_COMMITED | OTASP settings committed. |

### enum QmiDmsUimFacility

UIM personalization facilities.

#### Members

QMI_DMS_UIM_FACILITY_PN | Network personalization facility. |
QMI_DMS_UIM_FACILITY_PU | Network subset personalization facility. |
QMI_DMS_UIM_FACILITY_PP | Service provider facility. |
QMI_DMS_UIM_FACILITY_PC | Corporate personalization facility. |
QMI_DMS_UIM_FACILITY_PF | UIM personalization facility. |

### enum QmiDmsUimFacilityState

#### Members

QMI_DMS_UIM_FACILITY_STATE_DEACTIVATED | Facility is deactivated. |
QMI_DMS_UIM_FACILITY_STATE_ACTIVATED | Facility is activated. |
QMI_DMS_UIM_FACILITY_STATE_BLOCKED | Facility is blocked. |

### enum QmiDmsUimState

State of the UIM.

#### Members

QMI_DMS_UIM_STATE_INITIALIZATION_COMPLETED | UIM initialization completed. |
QMI_DMS_UIM_STATE_LOCKED_OR_FAILED | UIM is locked or failed. |
QMI_DMS_UIM_STATE_NOT_PRESENT | No UIM in the device. |
QMI_DMS_UIM_STATE_RESERVED | Reserved, unknown. |
QMI_DMS_UIM_STATE_UNKNOWN | UIM state currently unavailable. |

### enum QmiDmsTimeReferenceType

Time reference type.

#### Members

QMI_DMS_TIME_REFERENCE_TYPE_USER | User time. |

### enum QmiDmsFirmwareImageType

Type of firmware image.

#### Members

QMI_DMS_FIRMWARE_IMAGE_TYPE_MODEM | Modem image. |
QMI_DMS_FIRMWARE_IMAGE_TYPE_PRI | PRI image. |